Package org.silverpeas.components.infoletter

# Class InfoLetterInstanceRoutingMap

java.lang.Object
org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap
org.silverpeas.components.infoletter.InfoLetterInstanceRoutingMap

All Implemented Interfaces:
  `org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap`

@Technical @Bean @Named public class InfoLetterInstanceRoutingMap extends org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap

Author:
  silveryocha

- ## Field Summary

  ### Fields inherited from interface org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap

  `NAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InfoLetterInstanceRoutingMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `getEditionPage(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)`
  `URI`
  `getViewPage(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)`

  ### Methods inherited from class org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap

  `getBaseForPages, getHomePage, getInstanceId, getPermalink, getWebResourceUriBuilder, newUriBuilder, uriBuilder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InfoLetterInstanceRoutingMap

    public InfoLetterInstanceRoutingMap()

- ## Method Details

  - ### getViewPage

    public URI getViewPage(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)
    Specified by:
      `getViewPage` in interface `org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap`
    Overrides:
      `getViewPage` in class `org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap`

  - ### getEditionPage

    public URI getEditionPage(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)
    Specified by:
      `getEditionPage` in interface `org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap`
    Overrides:
      `getEditionPage` in class `org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap`